using System.Collections.Generic;
using System.Linq;
using System.Text;
using UnityEngine;
using Verse;


namespace RimWorld{
public class IncidentWorker_HeatWave : IncidentWorker_MakeMapCondition
{
	protected override bool UsableNowSub()
	{
		if( !base.UsableNowSub() )
			return false;

		if( GenTemperature.SeasonalTemp < 20 )
			return false;

		return true;
	}
}

public class IncidentWorker_ColdSnap : IncidentWorker_MakeMapCondition
{
	protected override bool UsableNowSub()
	{
		if( !base.UsableNowSub() )
			return false;

		if( GenTemperature.SeasonalTemp < 0 || GenTemperature.SeasonalTemp > 10 )
			return false;

		return true;
	}
}
}